# octavia.common.jinja.haproxy.combined_listeners package

## Submodules

## octavia.common.jinja.haproxy.combined_listeners.jinja_cfg module

class JinjaTemplater(base_amp_path=None, base_crt_dir=None, haproxy_template=None, log_http=None, log_server=None, connection_logging=True)

  Bases: `object`

  build_config(host_amphora, listeners, tls_certs, haproxy_versions, amp_details, socket_path=None)

    Convert a logical configuration to the HAProxy version

    Parameters:

      - host_amphora – The Amphora this configuration is hosted on

      - listener – The listener configuration

      - amp_details – Detail information from the amphora

      - socket_path – The socket path for Haproxy process

    Returns:

      Rendered configuration

  render_loadbalancer_obj(host_amphora, listeners, tls_certs=None, socket_path=None, feature_compatibility=None, amp_details: dict | None = None)

    Renders a templated configuration from a load balancer object

    Parameters:

      - host_amphora – The Amphora this configuration is hosted on

      - listener – The listener configuration

      - tls_certs – Dict of the TLS certificates for the listener

      - socket_path – The socket path for Haproxy process

      - amp_details – Detail information from the amphora

    Returns:

      Rendered configuration

## Module contents

this page last updated: 2026-04-13 15:26:39

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug